//
//  LogFunctionCollectionViewCell.m
//  Open
//
//  Created by 雷俊博 on 2021/7/22.
//  Copyright © 2021 黄江涛 . All rights reserved.
//

#import "LogFunctionCollectionViewCell.h"

@implementation LogFunctionCollectionViewCell
- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        
        [self creatUI];
        
    }
    return self;
}

- (void)creatUI
{
    UIImageView *icon = [UIImageView new];
    [self.contentView addSubview:icon];
    self.icon = icon;
    [icon mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.equalTo(self.contentView);
        make.top.offset(10 * WIDTHRADIU);
        make.width.offset(30);
        make.height.offset(30);
    }];
    
    UIImageView *gifImg = [[UIImageView alloc]init];
    [self.contentView addSubview:gifImg];
    self.gifImg = gifImg;
    [gifImg mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.equalTo(icon).offset(20);
        make.top.offset(5 * WIDTHRADIU);
        make.width.offset(30);
        make.height.offset(12);
    }];
    
    UILabel *lb_title = [UILabel new];
    lb_title.textColor = [UIColor colorWithHex:0x999999];
    lb_title.textAlignment = NSTextAlignmentCenter;
    lb_title.font = [UIFont systemFontOfSize:13 * WIDTHRADIU];
    [self.contentView addSubview:lb_title];
    self.lb_title = lb_title;
    [lb_title mas_makeConstraints:^(MASConstraintMaker *make) {
        make.bottom.offset(-10 * WIDTHRADIU);
        make.centerX.equalTo(self.contentView);
    }];
    
}

@end
